Package org.eclipse.mat.report

## Annotation Type Renderer

    @Target(TYPE)
    @Retention(RUNTIME)
    public @interface Renderer

Annotates a renderer describing what it accepts and it generates. Qualifies an `IOutputter`.

### Required Element Summary

Required Elements
`String` `target` What the renderer generates.

### Optional Element Summary

Optional Elements
`Class<? extends IResult>[]` `result` What the renderer accepts.

### Element Detail

#### target

    String target

What the renderer generates.

Returns:
  for example "html" or "csv"

#### result

    Class<? extends IResult>[] result

What the renderer accepts.

Returns:
  an array of acceptable classes

Default:
  {org.eclipse.mat.query.IResult.class}